import App from './App'

import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'

import Http from './common/http'
Vue.prototype.$http = Http
import Shop from './common/http/shop'
Vue.prototype.$shop = Shop
import utils from './common/utils'
Vue.prototype.$utils = utils
import eatery from './common/http/eatery'
Vue.prototype.$eatery = eatery

import moment from 'moment'
moment.locale('zh-cn')
Vue.prototype.$moment = moment

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

const app = new Vue({
  ...App
})
app.$mount()
